~mediagoblin/mediagoblin#34: 
Jinja2 error during make

Hi Team,

since yesterday I am trying to install mediagoblin 0.12 on Ubuntu 20.04. Following the deployment documentation I get to the point where I run the make command and finishes with

Installed /srv/mediagoblin.local/mediagoblin/lib/python3.8/site-packages/Pygments-2.13.0-py3.8.egg error: Jinja2 2.10.1 is installed but Jinja2>=3.0 is required by {'sphinx'} make: *** [Makefile:124: bin/python] Error 1

if I run pip install jinja2 -U and upgrade jinja2 to 3.1 rerunning the command gives no errors and it seems to finishes will the end.

This creates another problem - running gmg dbupdate then says:

mediagoblin@mediagoblinserver:/srv/mediagoblin.local/mediagoblin$ ./bin/gmg dbupdate Traceback (most recent call last): File "/srv/mediagoblin.local/mediagoblin/lib/python3.8/site-packages/pkg_resources/init.py", line 583, in _build_master ws.require(requires) File "/srv/mediagoblin.local/mediagoblin/lib/python3.8/site-packages/pkg_resources/init.py", line 900, in require needed = self.resolve(parse_requirements(requirements)) File "/srv/mediagoblin.local/mediagoblin/lib/python3.8/site-packages/pkg_resources/init.py", line 791, in resolve raise VersionConflict(dist, req).with_context(dependent_req) pkg_resources.ContextualVersionConflict: (Jinja2 3.1.2 (/var/lib/mediagoblin/.local/lib/python3.8/site-packages), Requirement.parse('jinja2<3.0.0'), {'mediagoblin'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "./bin/gmg", line 6, in from pkg_resources import load_entry_point File "/srv/mediagoblin.local/mediagoblin/lib/python3.8/site-packages/pkg_resources/init.py", line 3252, in def _initialize_master_working_set(): File "/srv/mediagoblin.local/mediagoblin/lib/python3.8/site-packages/pkg_resources/init.py", line 3235, in _call_aside f(*args, **kwargs) File "/srv/mediagoblin.local/mediagoblin/lib/python3.8/site-packages/pkg_resources/init.py", line 3264, in _initialize_master_working_set working_set = WorkingSet._build_master() File "/srv/mediagoblin.local/mediagoblin/lib/python3.8/site-packages/pkg_resources/init.py", line 585, in _build_master return cls._build_from_requirements(requires) File "/srv/mediagoblin.local/mediagoblin/lib/python3.8/site-packages/pkg_resources/init.py", line 598, in _build_from_requirements dists = ws.resolve(reqs, Environment()) File "/srv/mediagoblin.local/mediagoblin/lib/python3.8/site-packages/pkg_resources/init.py", line 791, in resolve raise VersionConflict(dist, req).with_context(dependent_req) pkg_resources.ContextualVersionConflict: (Jinja2 2.10.1 (/usr/lib/python3/dist-packages), Requirement.parse('Jinja2>=3.0'), {'sphinx'})

How am I able to fix this situation in order to continue with the setup?

Thanks in advance!

Blago

Status
REPORTED
Submitter
~blagovest
Assigned to
No-one
Submitted
25 days ago
Updated
4 days ago
Labels
No labels applied.

~iptrip 4 days ago*

Hello! I am facing the same issue (on Debian 11). I think the issue can be solved by using virtualenv, but I haven't figured it out for myself yet. I'm hoping someone who's familiar with the project will help. Thank you!

Edit: I see now that some changes were made to the master branch that haven't made it into the stable branch yet and that the "sweet spot" for Jinja2 dependency is > 3.0 and <3.1

Register here or Log in to comment, or comment via email.